Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.arbaro.export
Class ExporterFactory

    java.lang.Object
      net.sourceforge.arbaro.export.ExporterFactory

    public class ExporterFactory

extends java.lang.Object

Author:
  wolfram

Field Summary
`static int` | `DXF`
`static int` | `OBJ`
`static int` | `POV_CONES`
`static int` | `POV_MESH`

Constructor Summary
`ExporterFactory()`

Method Summary
`static Exporter` | `createExporter(Tree tree)`
`static Exporter` | `createSceneExporter(Tree tree)`
`static Exporter` | `createShieldedExporter(Tree tree, Params params)`
`static Exporter` | `createShieldedSceneExporter(Tree tree)`
`static int` | `getExportFormat()`
`static java.lang.String[]` | `getExportFormats()`
`static boolean` | `getOutputLeafUVs()`
`static java.lang.String` | `getOutputPath()`
`static boolean` | `getOutputStemUVs()`
`static int` | `getRenderH()`
`static int` | `getRenderW()`
`static java.lang.String[]` | `getShortExportFormats()`
`static void` | `setExportFormat(int output)` Sets the output type for the Povray code (primitives like cones, spheres and discs or triangle meshes)
`static void` | `setOutputLeafUVs(boolean oUV)`
`static void` | `setOutputPath(java.lang.String p)`
`static void` | `setOutputStemUVs(boolean oUV)`
`static void` | `setRenderH(int h)`
`static void` | `setRenderW(int w)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POV_MESH

    public static final int POV_MESH

See Also:
  Constant Field Values

### POV_CONES

    public static final int POV_CONES

See Also:
  Constant Field Values

### DXF

    public static final int DXF

See Also:
  Constant Field Values

### OBJ

    public static final int OBJ

See Also:
  Constant Field Values

Constructor Detail

### ExporterFactory

    public ExporterFactory()

Method Detail

### setExportFormat

    public static void setExportFormat(int output)

  Sets the output type for the Povray code (primitives like cones, spheres and discs or triangle meshes)

  Parameters:
    `output` -

### getExportFormat

    public static int getExportFormat()

### getOutputPath

    public static java.lang.String getOutputPath()

### setOutputPath

    public static void setOutputPath(java.lang.String p)

### setRenderW

    public static void setRenderW(int w)

### setRenderH

    public static void setRenderH(int h)

### getRenderH

    public static int getRenderH()

### getRenderW

    public static int getRenderW()

### setOutputStemUVs

    public static void setOutputStemUVs(boolean oUV)

### getOutputStemUVs

    public static boolean getOutputStemUVs()

### setOutputLeafUVs

    public static void setOutputLeafUVs(boolean oUV)

### getOutputLeafUVs

    public static boolean getOutputLeafUVs()

### createExporter

    public static Exporter createExporter(Tree tree)
                                   throws InvalidExportFormatError

  Throws:
    `InvalidExportFormatError`

### createSceneExporter

    public static Exporter createSceneExporter(Tree tree)

### createShieldedExporter

    public static Exporter createShieldedExporter(Tree tree,
                                                  Params params)
                                           throws InvalidExportFormatError

  Throws:
    `InvalidExportFormatError`

### createShieldedSceneExporter

    public static Exporter createShieldedSceneExporter(Tree tree)

### getExportFormats

    public static java.lang.String[] getExportFormats()

### getShortExportFormats

    public static java.lang.String[] getShortExportFormats()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD